<?php
/* @var $this ArtikelController */
/* @var $model Artikel */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'artikel-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>true,
    //needed for upload
    'htmlOptions' => array(
        'enctype' => 'multipart/form-data',
    ),
    'focus'=>array($model,'ArtikelNr'), //fokus auf element artikelnr
)); ?>



    



	<p class="note">Fields with <span class="required">*</span> are required.</p>

	<?php echo $form->errorSummary($model); ?>

    <?php if($model->isNewRecord): ?>
        <div class="row">
            <?php echo $form->labelEx($model,'ArtikelNr'); ?>
            <?php echo $form->textField($model,'ArtikelNr',array('size'=>20,'maxlength'=>20)); ?>
            <?php echo $form->error($model,'ArtikelNr'); ?>
        </div>
    <?php endif; ?>
    
    <div class="row">
        <?php echo $form->labelEx($model,'Name'); ?>
        <?php echo $form->textField($model,'Name',array('size'=>60,'maxlength'=>100)); ?>
        <?php echo $form->error($model,'Name'); ?>
    </div>

    <div class="row">
        <?php echo $form->labelEx($model,'Preis'); ?>
        <?php echo $form->textField($model,'Preis'); ?>
        <?php echo $form->error($model,'Preis'); ?>
    </div>
    
    <?php if(!$model->isNewRecord): ?>
        <div class="row">
            <?php echo $form->labelEx($model,'Kommentar'); ?>
            <?php echo $form->textField($model,'Kommentar',array('size'=>60,'maxlength'=>300)); ?>
            <?php echo $form->error($model,'Kommentar'); ?>
        </div>
    <?php endif; ?>
    
    <?php if(!$model->isNewRecord): ?>
        <div class="row">
            <?php echo $form->labelEx($model,'Image'); ?>
            <?php echo CHtml::activeFileField($model, 'Image'); ?>
            <?php echo $form->error($model,'Image'); ?>
        </div>
        <div class="row">
            <?php //echo CHtml::image(Yii::app()->request->baseUrl.'/images/upload/'.$model->Image,"",array("width"=>200)); ?>
            <?php
                //alte variante vollbild skaliert darstellen -> große datenmenge
                //$imghtml=CHtml::image(Yii::app()->request->baseUrl.'/images/upload/'.$data->Image,"",array("width"=>400));
                
                //thumbnail automatisch generieren und cachen -> kleine datenmenge, siehe auch http://www.yiiframework.com/extension/easyimage
                if($model->Image!=null && file_exists(Yii::getPathOfAlias('webroot').'/images/upload/'.$model->Image))
                {
                    $imghtml=Yii::app()->easyImage->thumbOf(Yii::getPathOfAlias('webroot').'/images/upload/'.$model->Image, 
                      array(
                        'resize' => array('width' => 350),
                      ));
                    
                    //$imghtml=CHtml::image('server/gallery/'.$data->gallery.'/th_'.$data->picturenumber.'.jpg', $data->picturenumber.'.jpg');
                    //$imghtml=CHtml::image(Yii::app()->request->baseUrl.'/images/upload/'.$model->Image,"",array("width"=>200));
                    //echo CHtml::link($imghtml, array('view', 'id'=>$data->id));
                    echo CHtml::link($imghtml, Yii::app()->request->baseUrl.'/images/upload/'.$model->Image, array("target"=>"_blank"));
                    
                    
                    
                }
            ?>
        </div>    
    <?php endif; ?>
    
    <?php if(!$model->isNewRecord): ?>
        <div class="row buttons">
            <?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
        </div>
        <hr/>
        <h3>Folgende Attribute bitte nur in Absprache ändern wenn umbedingt notwendig:</h3>
        <div class="row">
            <?php echo $form->labelEx($model,'ArtikelNr'); ?>
            <?php echo $form->textField($model,'ArtikelNr',array('size'=>20,'maxlength'=>20)); ?>
            <?php echo $form->error($model,'ArtikelNr'); ?>
            <p class="hint">
                Vorsicht: Die Artikelnummer darf nur dann geändert werden, wenn es sich um einen Fehler handelt und die Artikelnummer mit der Artikelnummer auf dem Etikett nicht übereinstimmt.
            </p>
        </div>
    <?php endif; ?>
    
    
<?php
//info von http://www.yiiframework.com/wiki/48/by-example-chtml/ 
//und http://stackoverflow.com/questions/11324750/select-or-dropdown-list-from-cactiverecord-in-yii  
    
    // retrieve the models from db
    $kunden_data = Kunden::model()->findAll(array('order' => 'Name'));
 
    // format models as $key=>$value with listData
    $kunden_list = CHtml::listData($kunden_data, 'KundenNr', 'Name');
    
    //schreibe ID hinten an kundenliste dran
    foreach($kunden_list as $temp_key=>$temp_val)
    {
        $kunden_list[$temp_key]=$temp_key." - ".$temp_val;    
    }

    //Now, we generate our dropdowList from the $list variable
    //echo CHtml::dropDownList('RefKundenID', '', $kunden_list,array('empty' => '(Einen Kunden auswählen)'));
              
?>         
    
    <!-- Kundenauswahl nur wenn fuer megtrere Kunden erfassbar-->
    <?php if(isset($model_kunden) && $model_kunden!=null):?>
        <?php echo $form->hiddenField($model,'RefKundenNr',array('value'=>$model_kunden->KundenNr)); ?>
    <?php else: ?>
        <div class="row">
            <?php echo $form->labelEx($model,'RefKundenNr'); ?>
            <?php echo $form->dropDownList($model,'RefKundenNr', $kunden_list,array('empty' => '(Einen Kunden auswählen)')); ?>
            <?php echo $form->error($model,'RefKundenNr'); ?>
        <?php if(!$model->isNewRecord): ?>
            <p class="hint">
                Vorsicht: Die Kundenzuordnung darf nur dann geändert werden, wenn es sich um einen Fehler handelt und die Artikelnummer bei der Erstellung irrtümlich dem falschen Kunden zugeordnet wurde. Der Kunde muss über diese Änderung informiert werden.
            </p>
        <?php endif; ?>
        </div>
    <?php endif; ?>
    
    <?php if($model->isNewRecord): ?>
        <div class="row">
            <?php echo $form->labelEx($model,'Kommentar'); ?>
            <?php echo $form->textField($model,'Kommentar',array('size'=>60,'maxlength'=>300)); ?>
            <?php echo $form->error($model,'Kommentar'); ?>
        </div>
    <?php endif; ?>
    
    
    <?php if($model->isNewRecord): ?>
	    <div class="row buttons">
		    <?php echo CHtml::submitButton($model->isNewRecord ? 'Create' : 'Save'); ?>
	    </div>
    <?php endif; ?>

<?php $this->endWidget(); ?>

</div><!-- form -->